## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate comrak

Name:           rust-comrak
Version:        0.12.1
Release:        %autorelease
Summary:        100% CommonMark-compatible GitHub Flavored Markdown parser and formatter

License:        BSD-2-Clause
URL:            https://crates.io/crates/comrak
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop propfuzz dev-dependency
Patch:          comrak-fix-metadata.diff
# * drop fuzzing tests
Patch:          0001-drop-fuzzing-tests.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
100% CommonMark-compatible GitHub Flavored Markdown parser and formatter.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSD-2-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        BSD-2-Clause AND Apache-2.0 AND MIT AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE.dependencies
%doc CODE_OF_CONDUCT.md
%doc README.md
%doc RELEASE_CHECKLIST.md
%doc changelog.txt
%{_bindir}/comrak

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE_CHECKLIST.md
%doc %{crate_instdir}/changelog.txt
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+syntect-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+syntect-devel %{_description}

This package contains library source intended for building other packages which
use the "syntect" feature of the "%{crate}" crate.

%files       -n %{name}+syntect-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%ifarch ppc64le
# * doctests fail to compile on ppc64le with LLVM 15:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2142648
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 0.12.1-7
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Fabio Valentini <decathorpe@gmail.com> 0.12.1-5
- Disable doctests on ppc64le to work around a compiler crash on LLVM 15

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.12.1-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 01 2021 Fabio Valentini <decathorpe@gmail.com> 0.12.1-1
- Update to version 0.12.1; Fixes RHBZ#2002263

* Fri Sep 03 2021 Fabio Valentini <decathorpe@gmail.com> 0.12.0-1
- Update to version 0.12.0; Fixes RHBZ#2000468

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> 0.11.0-1
- Update to version 0.11.0; Fixes RHBZ#1928085

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:28:40 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.2-2
- Rebuild

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 07:21:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Mon May 06 08:10:52 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package

